aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin
diff options
context:
space:
mode:
authorGravatar halcanary <halcanary@google.com>2015-11-03 11:18:11 -0800
committerGravatar Commit bot <commit-bot@chromium.org>2015-11-03 11:18:11 -0800
commit4a40a46c654f292b9407fe42012831855411f75e (patch)
treeee81136a16dcbb059795d9735abe8aa4168f3470 /bin
parent3f846ae913f0e01eedf889fff062e9a1dc9f4f8b (diff)
bin/deps-and-gyp: deal with corner cases cleanly
TBR=mtklein@google.com NOTRY=true Review URL: https://codereview.chromium.org/1415193006
Diffstat (limited to 'bin')
-rwxr-xr-x[-rw-r--r--]bin/deps-and-gyp5
1 files changed, 1 insertions, 4 deletions
diff --git a/bin/deps-and-gyp b/bin/deps-and-gyp
index f39fc69135..06f0fd5d90 100644..100755
--- a/bin/deps-and-gyp
+++ b/bin/deps-and-gyp
@@ -34,10 +34,7 @@ if ! [ -f DEPS ]; then
exit 1
fi
-if [ "$(git hash-object DEPS)" != "$(git config sync-deps.last)" ] ; then
- GIT_SYNC_DEPS_QUIET=1 python tools/git-sync-deps || exit
- git config sync-deps.last "$(git hash-object DEPS)"
-fi
+GIT_SYNC_DEPS_QUIET=1 python tools/git-sync-deps || exit
catifexists() { if [ -f "$1" ]; then cat "$1"; fi; }